Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1429)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1430)
@@ -18,9 +18,7 @@
 import org.eclipse.core.runtime.SafeRunner;
 import org.eclipse.core.runtime.Status;
 import org.eclipse.core.runtime.jobs.Job;
-import org.eclipse.jface.action.IContributionItem;
 import org.eclipse.jface.action.MenuManager;
-import org.eclipse.jface.action.ToolBarManager;
 import org.eclipse.jface.dialogs.MessageDialog;
 import org.eclipse.jface.viewers.ISelectionProvider;
 import org.eclipse.jface.viewers.IStructuredSelection;
@@ -36,7 +34,6 @@
 import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Menu;
@@ -70,7 +67,6 @@
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.GLComposite;
 import org.txm.rcp.swt.widget.AssistedChoiceQueryWidget;
 import org.txm.rcp.swt.widget.AssistedQueryWidget;
@@ -189,9 +185,6 @@
 	 */
 	protected boolean dirty;
 
-	public int compareTo(TXMEditor other) {
-		return 1;
-	}
 	
 	/**
 	 * 
@@ -208,6 +201,8 @@
 		this();
 		this.setInput(new TXMResultEditorInput<TXMResult>(result));
 	}
+	
+	
 	@Override
 	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
 		this.setSite(site);
@@ -738,7 +733,7 @@
 		this.autoUpdateResultFromEditorParameters(); // auto updating result from Parameter annotations in result <=> editor
 
 		// Stores the last parameters before the computing to later auto-update the Widgets only if some parameters have changed 
-		setLastComputingParameters(this.getResult().getLastParametersFromHistory());
+		this.setLastComputingParameters(this.getResult().getLastParametersFromHistory());
 
 	}
 	
@@ -1651,4 +1646,9 @@
 		return editors;
 	}
 
+	public int compareTo(TXMEditor other) {
+		return 1;
+	}
+
+	
 }
\ No newline at end of file
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1429)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1430)
@@ -165,7 +165,7 @@
 
 		// Initialize the editor parts and editor inputs
 		this.initCAFactorialMapEditor();
-	//	this.initCASingularValuesTableEditor();
+		this.initCASingularValuesTableEditor();
 //		this.initRowsTableEditor();
 //		this.initColumnsTableEditor();
 		this.initCASingularValuesBarChartEditor();
@@ -322,14 +322,6 @@
 		// Editor input
 		inputs.add(caFactorialMapEditorPart.getEditorInput());
 
-//		try {
-//			this.addPage(caFactorialMapEditorPart, caFactorialMapEditorPart.getEditorInput());
-//		}
-//		catch (PartInitException e) {
-//			// TODO Auto-generated catch block
-//			e.printStackTrace();
-//		}
-		
 	}
 
 	/**
@@ -344,7 +336,6 @@
 		}
 		
 		// Editor part
-		//EigenvaluesChartEditor eigenvaluesEditor = new EigenvaluesChartEditor(SWTChartsComponentsProvider.getCurrent().createChartEditorInput(eigenvalues));
 		EigenvaluesChartEditor eigenvaluesEditor = new EigenvaluesChartEditor(new ChartEditorInput<Eigenvalues>(eigenvalues));
 		
 		//eigenvaluesEditor.compute(false);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java	(revision 1429)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java	(revision 1430)
@@ -339,9 +339,11 @@
 		
 		viewer.setSorter(tableSorter);
 
-		viewer.refresh();
-		createContextMenu(viewer);
+		// Register the context menu
+		TXMEditor.initContextMenu(this.viewer.getTable(), this.getSite(), this.viewer);
 
+//		createContextMenu(viewer);
+
 		tableSorter.setColumn(0);
 		int dir = viewer.getTable().getSortDirection();
 		if (viewer.getTable().getSortColumn() == columns.get(0).getColumn()) {
@@ -353,31 +355,10 @@
 		viewer.getTable().setSortColumn(columns.get(0).getColumn());
 
 		
-		viewer.refresh();
-
-		// Pack the columns except the bar plot column
-		for(int i = 0; i < viewer.getTable().getColumnCount(); i++)	{
-			if(i != 4)	{
-				viewer.getTable().getColumn(i).pack();
-			}
-		}
-		
 	}
 
 
 	@Override
-	public void setFocus() {
-		viewer.getControl().setFocus();
-	}
-
-
-	@Override
-	public void updateResultFromEditor() {
-		// TODO Auto-generated method stub
-		
-	}
-
-	@Override
 	public void updateEditorFromResult(boolean update) throws Exception {
 
 		try {
@@ -388,24 +369,30 @@
 			e.printStackTrace();
 			this.viewer.setInput(null);
 		}
+		
+		this.viewer.refresh();
+		
+		// Pack the columns except the bar plot column
+		for(int i = 0; i < viewer.getTable().getColumnCount(); i++)	{
+			if(i != 4)	{
+				this.viewer.getTable().getColumn(i).pack();
+			}
+		}
 	}
 	
+
 	
-	/**
-	 * Creates the context menu.
-	 *
-	 * @param tableViewer the table viewer
-	 */
-	private void createContextMenu(TableViewer tableViewer) {
+	@Override
+	public void setFocus() {
+		viewer.getControl().setFocus();
+	}
 
-		MenuManager menuManager = new MenuManager();
-		Menu menu = menuManager.createContextMenu(tableViewer.getTable());
 
-		// Set the MenuManager
-		tableViewer.getTable().setMenu(menu);
-		getSite().registerContextMenu(menuManager, tableViewer);
-		// Make the selection available
-		getSite().setSelectionProvider(tableViewer);
+	@Override
+	public void updateResultFromEditor() {
+		// TODO Auto-generated method stub
+		
 	}
 
+
 }
\ No newline at end of file
